declare type Template = 'basic';
export interface CreateOptions {
    title: string;
    about: string;
    dirName: string;
    template: Template;
}
/**
 * Returns the passed template string with any given replacement variables replaced with
 * their respective value.
 * @param templateContent {string}
 * @param replacements {string[]}
 * @returns {string}
 */
export declare function getFilledTemplate(templateContent: string, replacements: string[][]): string;
/**
 * Creates the directory structure and files for the TBA game based on the
 * passed configuration options.
 * @param options {CreateOptions}
 */
export default function createGame(options: CreateOptions): number;
export {};
